Skip to main content
PATCH
C#

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the experiment to update.

Body

Partial update of an experiment. Only provided fields are updated. Providing allocations replaces the entire allocations set.

name
string

A human-readable name for the experiment

Required string length: 3 - 255
Pattern: ^(?!.*\x00)\S(.*\S)?$
description
string | null

A description of the experiment

Required string length: 3 - 1024
Pattern: ^(?!.*\x00)\S(.*\S)?$
authentication_flow
enum<string>

The authentication flow this experiment applies to. Can only be modified on draft experiments. Must be one of: authentication, mfa_enrollment, mfa_challenge, password_reset, passkey_enrollment, organization_selection, email_verification.

Available options:
authentication,
mfa_enrollment,
mfa_challenge,
password_reset,
passkey_enrollment,
organization_selection,
email_verification
assignment_config
object

Configuration for how users are assigned to variations

allocations
object[]

Replaces all traffic allocations. Cannot be modified while the experiment is active.

Minimum array length: 1
levels
integer[]

Ramp experiment levels configuration. Can only be modified on draft experiments.

Response

Experiment successfully updated.

id
string
required
Pattern: ^exp_[A-HJ-NP-Za-km-z1-9]+$
name
string
required
feature_flag_id
string
required
authentication_flow
string
required
allocation_strategy
enum<string>
required
Available options:
percentage,
segment
assignment_config
object
required
status
enum<string>
required

Filter by status. Exact match.

Available options:
draft,
active,
paused,
completed,
archived
is_valid
boolean
required
allocations
object[]
required
editable_fields
string[]
required

Fields that may be mutated given the experiment's current status. Computed at response time; always current with the API's enforcement logic.

created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string
is_stateful
boolean
feature_flag_snapshot
object | null
levels
integer[]

Ramp experiment levels configuration.

started_at
string<date-time>
ended_at
string<date-time>